Skip to content

Start a S.M.A.R.T. self-test

POST
/disk/smart/self-test
curl --request POST \
--url https://sylve.lan:8181/api/disk/smart/self-test \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "device": "example", "testType": "example" }'

Start a supported S.M.A.R.T. self-test on a physical disk

S.M.A.R.T. self-test request

Media typeapplication/json
object
device
required
string
>= 2 characters
testType
required
string
Examplegenerated
{
"device": "example",
"testType": "example"
}

Accepted

Media typeapplication/json
object
data
object
capabilities
object
abort
boolean
conveyance
boolean
conveyance_captive
boolean
conveyance_duration_minutes
integer
default
boolean
execution_support_known
boolean
extended
boolean
extended_captive
boolean
extended_duration_minutes
integer
namespace_id
integer
offline
boolean
offline_duration_minutes
integer
progress
boolean
protocol
string
result_log
boolean
scope
string
selective
boolean
selective_captive
boolean
short
boolean
short_captive
boolean
short_duration_minutes
integer
single_operation
boolean
supported
boolean
device
string
status
object
checksum_valid
boolean
estimated_duration_minutes
integer
execution_status
string
namespace_id
integer
offline_collection_running
boolean
offline_collection_status
string
progress_known
boolean
progress_pct
integer
protocol
string
remaining_known
boolean
remaining_pct
integer
results
Array<object>
object
asc
integer
ascq
integer
checkpoint
integer
lba
integer
lba_exact
string
lba_valid
boolean
lifetime_hours
integer
lifetime_hours_exact
string
mode
string
nsid
integer
nsid_valid
boolean
outcome
string
parameter_code
integer
protocol
string
remaining_pct
integer
segment_num
integer
sense_key
integer
started_at
string
status
string
status_code
integer
status_code_type
integer
status_code_type_valid
boolean
status_code_valid
boolean
type
string
vendor_specific
integer
running
boolean
state
string
type
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"capabilities": {
"abort": true,
"conveyance": true,
"conveyance_captive": true,
"conveyance_duration_minutes": 1,
"default": true,
"execution_support_known": true,
"extended": true,
"extended_captive": true,
"extended_duration_minutes": 1,
"namespace_id": 1,
"offline": true,
"offline_duration_minutes": 1,
"progress": true,
"protocol": "example",
"result_log": true,
"scope": "example",
"selective": true,
"selective_captive": true,
"short": true,
"short_captive": true,
"short_duration_minutes": 1,
"single_operation": true,
"supported": true
},
"device": "example",
"status": {
"checksum_valid": true,
"estimated_duration_minutes": 1,
"execution_status": "example",
"namespace_id": 1,
"offline_collection_running": true,
"offline_collection_status": "example",
"progress_known": true,
"progress_pct": 1,
"protocol": "example",
"remaining_known": true,
"remaining_pct": 1,
"results": [
{
"asc": 1,
"ascq": 1,
"checkpoint": 1,
"lba": 1,
"lba_exact": "example",
"lba_valid": true,
"lifetime_hours": 1,
"lifetime_hours_exact": "example",
"mode": "example",
"nsid": 1,
"nsid_valid": true,
"outcome": "example",
"parameter_code": 1,
"protocol": "example",
"remaining_pct": 1,
"segment_num": 1,
"sense_key": 1,
"started_at": "example",
"status": "example",
"status_code": 1,
"status_code_type": 1,
"status_code_type_valid": true,
"status_code_valid": true,
"type": "example",
"vendor_specific": 1
}
],
"running": true,
"state": "example",
"type": "example"
}
},
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Conflict

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Payload Too Large

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unprocessable Entity

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Service Unavailable

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}